> ## Documentation Index
> Fetch the complete documentation index at: https://developer.flabslis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OTP

> Sends an OTP to the provided contact number for patient verification.



## OpenAPI

````yaml POST /client/patient/getLoginOTP
openapi: 3.0.3
info:
  title: Patient API
  version: 1.0.0
  description: APIs for patient authentication and report retrieval.
servers:
  - url: https://v2.flabs.in
    description: Production Server
security: []
paths:
  /client/patient/getLoginOTP:
    post:
      summary: Get login OTP
      description: Sends an OTP to the provided contact number for patient verification.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                contact:
                  type: string
                  description: Patient's contact number should be 10 digits long
              required:
                - contact
            example:
              contact: contact
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  otpToken:
                    type: string
                    description: Token required for OTP verification
              example:
                otpToken: otp-token
        4XX:
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  status:
                    type: integer
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      details:
                        type: string
              example:
                success: false
                status: 400
                message: Bad Request
                error:
                  details: Invalid contact number format
        5XX:
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  status:
                    type: integer
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      details:
                        type: string
              example:
                success: false
                status: 500
                message: Internal Server Error
                error:
                  details: An unexpected error occurred
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorization token obtained from the auth API

````